startInstall();

function startInstall() {

	initInstall('Motella ToolBar Installation', 'Motella', '0.1', 1);
	logComment('Motella: Installation Started');

	var chromeFolder = getFolder('Profile', 'chrome');
	addFile('/motella.mozdev.org/pxulp', 'motella.jar', chromeFolder, '');

	if (checkStep('Extracting file - Check if you have the correct file permissions'))
		return;

	// registerChrome(CONTENT | DELAYED_CHROME, getFolder('chrome', 'pxulp.jar'), 'content/');
	registerChrome(CONTENT | PROFILE_CHROME, getFolder(chromeFolder, 'motella.jar'), 'content/');

	if (checkStep('Registering chrome - Check if you have the correct permissions to the chrome DB'))
		return;

	performInstall();

	if (checkStep('Installing'))
		return;

	alert("Motella ToolBar has been installed.\nPlease restart mozilla.\n\nAfter restarting, please goto Tools Popup and select Motella");

	logComment('Motella: All done');

}

function checkStep(msg) {
	var err = getLastError()

	if (err != SUCCESS) {
		logComment('Motella [FAILED] '+err+' while: '+msg);
		cancelInstall();

		alert('Installation is aborted ('+err+')');
		return true;
	}
}
